package jp.cssj.cti2.results;

import jp.cssj.resolver.MetaSource;
import jp.cssj.rsr.RandomBuilder;
import jp.cssj.rsr.impl.NOPRandomBuilder;

/**
 * 何も出力しないResultsです。
 * 
 * @author <a href="miyabe at gnn.co.jp">MIYABE Tatsuhiko</a>
 * @version $Id: NOPResults.java 526 2011-01-19 02:36:52Z miyabe $
 */
public class NOPResults implements Results {
	public static final NOPResults SHARED_INSTANCE = new NOPResults();

	private NOPResults() {
		// private
	}

	public boolean hasNext() {
		return true;
	}

	public RandomBuilder nextBuilder(MetaSource metaSource) {
		return NOPRandomBuilder.SHARED_INSTANCE;
	}

	public void end() {
		// NOP
	}
}
